## org.apache.fop.dom.css
Class CSSStyleSheetImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.css.CSSStyleSheetImpl

public class CSSStyleSheetImpl
extends java.lang.Object
implements org.w3c.dom.css.CSSStyleSheet

Constructor Summary
`CSSStyleSheetImpl(java.lang.String sheet)`

Method Summary
`void` `deleteRule(int index)`
`org.w3c.dom.css.CSSRuleList` `getCssRules()`
`boolean` `getDisabled()`
`java.lang.String` `getHref()`
`org.w3c.dom.stylesheets.MediaList` `getMedia()`
`org.w3c.dom.Node` `getOwnerNode()`
`org.w3c.dom.css.CSSRule` `getOwnerRule()`
`org.w3c.dom.stylesheets.StyleSheet` `getParentStyleSheet()`
`java.lang.String` `getTitle()`
`java.lang.String` `getType()`
`int` `insertRule(java.lang.String rule, int index)`
`protected org.w3c.dom.css.CSSRule` `parseRule(java.lang.String str)`
`protected void` `parseSheet(java.lang.String str)`
`void` `setDisabled(boolean disabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSStyleSheetImpl

    public CSSStyleSheetImpl(java.lang.String sheet)

Method Detail

### parseSheet

    protected void parseSheet(java.lang.String str)

### getOwnerRule

    public org.w3c.dom.css.CSSRule getOwnerRule()

  Specified by:
    getOwnerRule in interface org.w3c.dom.css.CSSStyleSheet

### getCssRules

    public org.w3c.dom.css.CSSRuleList getCssRules()

  Specified by:
    getCssRules in interface org.w3c.dom.css.CSSStyleSheet

### insertRule

    public int insertRule(java.lang.String rule,
                          int index)
                   throws org.w3c.dom.DOMException

  Specified by:
    insertRule in interface org.w3c.dom.css.CSSStyleSheet

### deleteRule

    public void deleteRule(int index)
                    throws org.w3c.dom.DOMException

  Specified by:
    deleteRule in interface org.w3c.dom.css.CSSStyleSheet

### getType

    public java.lang.String getType()

### getDisabled

    public boolean getDisabled()

### setDisabled

    public void setDisabled(boolean disabled)

### getOwnerNode

    public org.w3c.dom.Node getOwnerNode()

### getParentStyleSheet

    public org.w3c.dom.stylesheets.StyleSheet getParentStyleSheet()

### getHref

    public java.lang.String getHref()

### getTitle

    public java.lang.String getTitle()

### getMedia

    public org.w3c.dom.stylesheets.MediaList getMedia()

### parseRule

    protected org.w3c.dom.css.CSSRule parseRule(java.lang.String str)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.